const int pinLcdRx=2;
SoftwareSerial mySerial =  SoftwareSerial(0,pinLcdRx);


void lcdInit (){

 mySerial.begin(9600);
 mySerial.print(0x7C, BYTE);//setup lcd
 mySerial.print(4, BYTE);//16 char
 mySerial.print(0x7C, BYTE);//setup lcd
 mySerial.print(6, BYTE);//2 lines
 delay (20);
    
}


void lcdPrint(char s[])
{
  mySerial.print(s);
}

void lcdNumber(int n)
{
  mySerial.print(n);
}

void lcdReset (){
    mySerial.print(254, BYTE); //LCD COMMAND
    mySerial.print(0x01, BYTE);//LCD CLEAR
    mySerial.print(254, BYTE); //LCD COMMAND
    mySerial.print(0x80, BYTE); //LCD SET POS
}

void lcdSetPos(int pos){
  if (pos>15){pos=pos+48;}
  mySerial.print(254, BYTE); //LCD COMMAND
  mySerial.print(128+pos, BYTE); //LCD SET POS
}

 


