const int pinMotorLeftPwm=6;
const int pinMotorLeftBack=12; 
const int pinMotorRightPwm=5;
const int pinMotorRightBack=4;

void motorInit(){
  pinMode(pinMotorLeftBack, OUTPUT);
  pinMode(pinMotorRightBack, OUTPUT);
  motorXX();
}

void motorRotate(int angle){
  if (angle>0){motorRP(200);}else{motorLP(200);}
  delay(16*abs(angle));
  motorXX();
}

void motorFF(byte pow){
  analogWrite(pinMotorLeftPwm,pow);
  digitalWrite(pinMotorLeftBack , false);
  analogWrite(pinMotorRightPwm,pow);
  digitalWrite(pinMotorRightBack , false);   
}


void motorBB(byte pow){
  analogWrite(pinMotorLeftPwm,255-pow);
  digitalWrite(pinMotorLeftBack , true);
  analogWrite(pinMotorRightPwm,255-pow);
  digitalWrite(pinMotorRightBack , true);   
}

void motorLP (byte pow){
  analogWrite(pinMotorLeftPwm,255-pow);
  digitalWrite(pinMotorLeftBack , true);
  analogWrite(pinMotorRightPwm,pow);
  digitalWrite(pinMotorRightBack , false); 
}

 

void motorRP (byte pow){
  analogWrite(pinMotorLeftPwm,pow);
  digitalWrite(pinMotorLeftBack , false);
  analogWrite(pinMotorRightPwm,255-pow);
  digitalWrite(pinMotorRightBack , true); 
}



void motorXX( ){
  digitalWrite(pinMotorLeftPwm,true);
  digitalWrite(pinMotorLeftBack , true);
  digitalWrite(pinMotorRightPwm,true);
  digitalWrite(pinMotorRightBack , true);   
}

